sax_distance_matrix {jmotif} | R Documentation

## Generates a SAX MinDist distance matrix (i.e. the "lookup table") for a given alphabet size.

### Description

Generates a SAX MinDist distance matrix (i.e. the "lookup table") for a given alphabet size.

### Usage

    sax_distance_matrix(a_size)

### Arguments

`a_size` | the desired alphabet size (a value between 2 and 20, inclusive)

### Value

Returns a distance matrix (for SAX minDist) for a specified alphabet size

### References

Lonardi, S., Lin, J., Keogh, E., Patel, P., Finding motifs in time series. In Proc. of the 2nd Workshop on Temporal Data Mining (pp. 53-68).

### Examples

    sax_distance_matrix(5)

[Package jmotif version 1.0.3 Index]